Page MenuHomePhabricator

entitysources: Directly create entitySources config for WMF "test" wikis
Closed, ResolvedPublic

Description

"entitySource" configuration setting is the default way of defining what wikis provides which entity types.
Legacy "repositories" setting is going to be removed after all its uses are adjusted to use a dedicated setting.

  • Define entity source config for test wikidata
  • Define entity source config for test wikidata clients
  • Define entity source config for test commons: https
  • Remove the legacy Wikibase config for test wikis

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 27 2020, 10:15 AM

Change 569209 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Test wikidata: Define entity sources configuration

https://gerrit.wikimedia.org/r/569209

Change 569256 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Test wikibase clients: Define entity sources configuration

https://gerrit.wikimedia.org/r/569256

Change 569257 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Test commons: Define entity sources configuration

https://gerrit.wikimedia.org/r/569257

WMDE-leszek triaged this task as Medium priority.Mar 27 2020, 11:09 AM
WMDE-leszek updated the task description. (Show Details)
Addshore claimed this task.Apr 6 2020, 12:45 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptApr 6 2020, 12:45 PM

Change 569209 merged by jenkins-bot:
[operations/mediawiki-config@master] Test wikidata: Define entity sources configuration

https://gerrit.wikimedia.org/r/569209

Change 586361 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Test wikidata: Alter entity sources configuration

https://gerrit.wikimedia.org/r/586361

Change 586361 merged by jenkins-bot:
[operations/mediawiki-config@master] Test wikidata: Alter entity sources configuration

https://gerrit.wikimedia.org/r/586361

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:23:37Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Wikibase entity source config for testwikidatawiki T248664 (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:24:42Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Wikibase entity source config for testwikidatawiki T248664 (cachebust) (duration: 00m 58s)

Change 569256 merged by jenkins-bot:
[operations/mediawiki-config@master] Test wikibase clients: Define entity sources configuration

https://gerrit.wikimedia.org/r/569256

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:40:07Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Wikibase client entity source config T248664 (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:41:15Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Wikibase client entity source config T248664 (cache bust) (duration: 00m 58s)

Change 586366 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] TEST: entity source, use modern repoDatabase and interwikiPrefix

https://gerrit.wikimedia.org/r/586366

Change 586366 merged by jenkins-bot:
[operations/mediawiki-config@master] TEST: entity source, use modern repoDatabase and interwikiPrefix

https://gerrit.wikimedia.org/r/586366

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:49:20Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Wikibase, entity source, use modern repoDatabase and interwikiPrefix T248664 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:50:31Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Wikibase, entity source, use modern repoDatabase and interwikiPrefix T248664 (cache bust) (duration: 00m 57s)

Change 569257 merged by jenkins-bot:
[operations/mediawiki-config@master] Test commons: Define entity sources configuration

https://gerrit.wikimedia.org/r/569257

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:54:39Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Test commons: Define entity sources configuration T248664 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-04-06T14:55:52Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: TEST: Test commons: Define entity sources configuration T248664 (cache bust) (duration: 00m 57s)

Change 586368 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Remove wmgWikibase(Repo/Client)Repositories fot test sites

https://gerrit.wikimedia.org/r/586368

Addshore updated the task description. (Show Details)Apr 6 2020, 2:58 PM

@WMDE-leszek can we also not remove https://gerrit.wikimedia.org/r/#/c/586368 now?

I see in the description that it says we will remove all of this at once but I think it would be a valuable test to remove it from test first.

Sounds good. I believe I've also crafted something like this while ago, it probably has rotten somewhere in the abyss of gerrit

WMDE-leszek updated the task description. (Show Details)Apr 6 2020, 7:12 PM

This broke term store in testwiki: T250181

Change 586368 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop setting legacy wmgWikibase(Repo/Client)Repositories for test wikis

https://gerrit.wikimedia.org/r/586368

Mentioned in SAL (#wikimedia-operations) [2020-05-04T13:02:06Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T248664 Stop setting legacy wmgWikibase(Repo/Client)Repositories for TEST wikis (duration: 01m 06s)

Addshore closed this task as Resolved.Mon, May 4, 1:02 PM
Addshore updated the task description. (Show Details)

I’m not sure if the change for Test Commons was correct… I think that wiki used to use entities from real Wikidata, and now it uses entities from Test Wikidata, and this task seems to be the most cause of that change.

The reason I think that Test Commons used to link to real Wikidata is the AC/DC browser tests. In this commit, I used P694 as a property that “ha[s] the same data type” (Item) “on both beta and real Wikidata”, for browser tests which were designed to run against Beta and Test Commons (compare the config); on Test Wikidata, on the other hand, P694 is a String property. You can also see the effect of this change on old revisions of files, such as r2580:

The statement widget is grayed out because of the discrepancy between the data type that the old statement uses (Item – “A” is Q15) and the data type that its property ID has now (String).